#include <bits/stdc++.h>
using namespace std;
int main ()
{
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    int brnezadraskani,maksin=0,maksich=0,brzadraskanin,brzadraskanich,chetni=0,nechetni=0;
    cin >> brnezadraskani;
    int nezadraskano[brnezadraskani];
    for(int i=0; i<brnezadraskani; i++)
    {
        cin >> nezadraskano[i];
        if(nezadraskano[i]%2==1 && nezadraskano[i]>maksin)
        {
            maksin=nezadraskano[i];
        }
        if(nezadraskano[i]%2==0 && nezadraskano[i]>maksich)
        {
            maksich=nezadraskano[i];
        }
        if(nezadraskano[i]%2==0)
        {
            chetni++;
        }
        if(nezadraskano[i]%2==1)
        {
            nechetni++;
        }
    }
    brzadraskanin=((maksin-1)/2+1)-nechetni;
    brzadraskanich=((maksich-2)/2+1)-chetni;
    cout << brzadraskanin << " " << brzadraskanich << endl;
}
